extends Node

func play_sound(snd):
	get_node("sounds").play(snd)
	
func play_music(msc):
	get_node("music").set_stream(msc)
	get_node("music").play()
	
func stop_music():
	get_node("music").stop()
	get_node("music").set_stream(null)

func change_music_volume(new_volume):
	get_node("music").set_volume(new_volume)
	if new_volume == 0:
		get_node("music").set_paused(true)
	elif get_node("music").is_paused():
		audio.get_node("music").set_paused(false)
		
func get_sounds_volume():
	return get_node("sounds").get_default_volume()
	
func get_music_volume():
	return get_node("music").get_volume_db()